Package twisted :: Package protocols :: Module ftp :: Class DTPFactory

[show private | hide private]
[frames | no frames]

## Class DTPFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   DTPFactory

Known Subclasses:
  `FTP`

The DTP-Factory. This class is not completely self-contained.

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed. (inherited from `ClientFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| `createActiveServer(self)`
| `createPassiveServer(self)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`NoneType` | `action`
`class` | `DTP`
`NoneType` | `dtp`
`NoneType` | `dtpPort`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

### action

  Type:
    `NoneType`
  Value:

        None

### DTP

`DTP` = `twisted.protocols.ftp.DTP`

### dtp

  Type:
    `NoneType`
  Value:

        None

### dtpPort

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:16:36 2003 | http://epydoc.sf.net